(function($) {
    "use strict"; // Start of use strict
    
    // Add reorder icon to .card-inline
    $('.card-inline').prepend('<div class="inline-icon" data-toggle="tooltip" title="Toggle bullet view"><i class="fas fa-stream"></i></div>')
    
    // Define a function to toggle the view
    const toggleBulletView = function() {
        var that = $(this)
        that.closest('.card').toggleClass('inline').closest('.masonry').masonry()
        setTimeout(() => {
            that.tooltip('hide')
        }, 2000);
        return false
    }
    
    // Add the function to clicks on the menu button, and/or taps anywhere on the card
    $('.card-inline .inline-icon').on('click', toggleBulletView)
    $('.card-inline').on('touchstart', toggleBulletView)
    
    // Smooth scrolling using jQuery easing
    $('a.js-scroll-trigger[href*="#"]:not([href="#"])').click(function() {
        if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
            var target = $(this.hash);
            var hash = this.hash;
            target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
            if (target.length) {
                $('html, body').animate({
                    scrollTop: (target.offset().top)
                }, 1000, "easeInOutExpo");
                return false;
            }
        }
    });

    // Closes responsive menu when a scroll trigger link is clicked
    $('.js-scroll-trigger').click(function() {
        $('.navbar-collapse').collapse('hide');
    });

    // Activate scrollspy to add active class to navbar items on scroll
    $('body').scrollspy({
        target: '#side-nav'
    });
})(jQuery); // End of use strict